package com.yihu.hos.resource.model;


/**
 * RsResourceMetadata entity. @author MyEclipse Persistence Tools
 */

public class RsResourceMetadata implements java.io.Serializable {

    // Fields

    private String id;
    private String datasetId;
    private String code;
    private String resourceId;
    private String deCode;
    private String name;
    private String type;
    private String format;
    private Integer dictId;
    private String definition;
    private Integer nullable;
    private String columnType;
    private String columnName;
    private String columnLength;
    private Integer primaryKey;
    private Integer dataSupportType;//1事实表 2逻辑表
    private String logicDataSource;
    // Constructors

    /**
     * default constructor
     */
    public RsResourceMetadata() {
    }

    /**
     * minimal constructor
     */
    public RsResourceMetadata(Integer datasetId, String code, String deCode, String name, String columnName) {
        this.code = code;
        this.deCode = deCode;
        this.name = name;
        this.columnName = columnName;
    }

    /**
     * full constructor
     */
    public RsResourceMetadata(Integer stdId, Integer datasetId, String code, String deCode, String name, String type, String format, Integer dictId, String definition, Integer nullable, String columnType, String columnName, String columnLength, Integer primaryKey) {
        this.code = code;
        this.deCode = deCode;
        this.name = name;
        this.type = type;
        this.format = format;
        this.dictId = dictId;
        this.definition = definition;
        this.nullable = nullable;
        this.columnType = columnType;
        this.columnName = columnName;
        this.columnLength = columnLength;
        this.primaryKey = primaryKey;
    }

    // Property accessors


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDatasetId() {
        return datasetId;
    }

    public void setDatasetId(String datasetId) {
        this.datasetId = datasetId;
    }

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDeCode() {
        return this.deCode;
    }

    public void setDeCode(String deCode) {
        this.deCode = deCode;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getFormat() {
        return this.format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public Integer getDictId() {
        return this.dictId;
    }

    public void setDictId(Integer dictId) {
        this.dictId = dictId;
    }

    public String getDefinition() {
        return this.definition;
    }

    public void setDefinition(String definition) {
        this.definition = definition;
    }

    public Integer getNullable() {
        return this.nullable;
    }

    public void setNullable(Integer nullable) {
        this.nullable = nullable;
    }

    public String getColumnType() {
        return this.columnType;
    }

    public void setColumnType(String columnType) {
        this.columnType = columnType;
    }

    public String getColumnName() {
        return this.columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnLength() {
        return this.columnLength;
    }

    public void setColumnLength(String columnLength) {
        this.columnLength = columnLength;
    }

    public Integer getPrimaryKey() {
        return this.primaryKey;
    }

    public void setPrimaryKey(Integer primaryKey) {
        this.primaryKey = primaryKey;
    }

    public Integer getDataSupportType() {
        return dataSupportType;
    }

    public void setDataSupportType(Integer dataSupportType) {
        this.dataSupportType = dataSupportType;
    }

    public String getLogicDataSource() {
        return logicDataSource;
    }

    public void setLogicDataSource(String logicDataSource) {
        this.logicDataSource = logicDataSource;
    }

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }
}